Subject: Please make vc-annotate start from the revision of the current buffer
From: Reuben Thomas <[email-masked]>
To: bug-emacs <[email-masked]>
Date: Tue, 19 Jan 2010 18:27:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

For example, if I'm visiting non-current revision 997 of a particular
file, in a buffer called file.~997~, and I run vc-annotate, it shows
the current revision. Instead, it would be good if it defaulted to
revision 997. (I'd suggest that this is likely what users expect;
wanting to default to the current revision, I'd start from the
up-to-date buffer, in this case, "file").

-- 
http://rrt.sc3d.org
Police Refuse To Help Thug Attack Mum (Metro)